#ifndef CLNOTICELIST_H
#define CLNOTICELIST_H

#include <QWidget>
#include "CHttpBll.h"
#include "clNoticeDetail.h"
#include <QLabel>
namespace Ui {
class clNoticeList;
}

class QMyLabel : public QLabel
{
	Q_OBJECT
signals:
	void sgnClick(int nRow, int nCol);
public:
	explicit QMyLabel(int nRow, QWidget *parent = nullptr) :QLabel(parent),m_nRow(nRow){  }
private:
	void mouseReleaseEvent(QMouseEvent *ev) {emit sgnClick(m_nRow, 1); }
	int m_nRow;
};
class clNoticeList : public QWidget
{
    Q_OBJECT

public:
    explicit clNoticeList(QWidget *parent = nullptr);
    ~clNoticeList();

    void setUI(const int nWidth, const int nHeight);

	void setNotice(std::vector<CNoticeInfo> vNL);
private slots:
    void on_tablewt_examList_cellClicked(int row, int column);

private:
    Ui::clNoticeList *ui;

	std::vector<CNoticeInfo> vNoticeList;
	std::shared_ptr<clNoticeDetail> m_pNoticeDetail;
};

#endif // CLNOTICELIST_H
